=== debian/rules ===
--- 
+++ 
@@ -5,9 +5,6 @@
 
 # enable all build hardening flags
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all
-
-# disable unsupported flag in clang 7
-export DEB_BUILD_MAINT_OPTIONS+=reproducible=-fixfilepath
 
 # indicate that binary targets do not require root
 export DEB_RULES_REQUIRES_ROOT=no
@@ -33,9 +30,6 @@
                  -Wno-deprecated-declarations \
                  -Wno-unknown-pragmas \
 
-# do not optimize away null pointer safety checks
-export CXXFLAGS+=-fno-delete-null-pointer-checks
-
 # disable clang plugins
 defines=clang_use_chrome_plugins=false
 
@@ -46,16 +40,16 @@
 # set the appropriate cpu architecture
 DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
 ifeq (i386,$(DEB_HOST_ARCH))
-defines+=host_cpu=\"x86\" use_vaapi=true
+defines+=host_cpu=\"x86\" symbol_level=0
 endif
 ifeq (amd64,$(DEB_HOST_ARCH))
-defines+=host_cpu=\"x64\" use_vaapi=true
+defines+=host_cpu=\"x64\"
 endif
 ifeq (arm64,$(DEB_HOST_ARCH))
-defines+=host_cpu=\"arm64\" use_vaapi=true
+defines+=host_cpu=\"arm64\"
 endif
 ifeq (armhf,$(DEB_HOST_ARCH))
-defines+=host_cpu=\"arm\" use_vaapi=false arm_use_neon=false symbol_level=0
+defines+=host_cpu=\"arm\" arm_use_neon=false symbol_level=0
 endif
 
 # disabled features
@@ -63,6 +57,7 @@
          use_goma=false \
          use_ozone=false \
          use_sysroot=false \
+         use_openh264=false \
          use_allocator=\"none\" \
          use_libjpeg_turbo=true \
          use_custom_libcxx=false \
@@ -78,6 +73,7 @@
          enable_hangout_services_extension=false \
          optimize_webui=false \
          enable_js_type_check=false \
+         blink_symbol_level=0 \
          treat_warnings_as_errors=false \
 
 # enabled features
@@ -147,9 +143,6 @@
 	find . -name \*.pyc -execdir rm -f {} \;
 	dh_auto_clean
 
-override_dh_strip:
-	dh_strip --no-automatic-dbgsym
-
 ###################### upstream source downloading ############################
 
 url=https://gsdview.appspot.com/chromium-browser-official
@@ -176,9 +169,7 @@
 	cd $(extract) && ../debian/scripts/check-upstream
 	echo $$(($$(date +%s) - $$(cat $(seconds)))) seconds
 	test ! -e $(origtxz) || rm -f $(origtxz)
-	tar --sort=name --owner=0 --group=0 --numeric-owner \
-		--mtime="@$$(stat --format "%Y" ../$(tarball))" --clamp-mtime \
-		-cf - $(extract) | xz -6 -T $(njobs) - > $(origtxz)
+	tar cf - $(extract) | xz -6 -T $(njobs) - > $(origtxz)
 	echo $$(($$(date +%s) - $$(cat $(seconds)))) seconds
 	rm -rf $(extract)
 	echo $$(($$(date +%s) - $$(cat $(seconds)))) seconds | tee seconds
