## chromium 90.0.4430.93

=== debian/changelog ===
chromium (90.0.4430.93-1~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 02 May 2021 20:43:44 -0700

chromium (90.0.4430.93-1) unstable; urgency=medium

  * New upstream security release (closes: #987715).
    - CVE-2021-21227: Insufficient data validation in V8. Reported by Gengming Liu of Singular Security Lab
    - CVE-2021-21232: Use after free in Dev Tools. Reported by Abdulrahman Alqabandi, Microsoft Browser Vulnerability Research
    - CVE-2021-21233: Heap buffer overflow in ANGLE. Reported by Omair
    - CVE-2021-21228: Insufficient policy enforcement in extensions. Reported by Rob Wu
    - CVE-2021-21229: Incorrect security UI in downloads. Reported by Mohit Raj (shadow2639)
    - CVE-2021-21230: Type Confusion in V8. Reported by Manfred Paul
    - CVE-2021-21231: Insufficient data validation in V8. Reported by Sergei Glazunov of Google Project Zero
  * Disable libaom on arm to potentially fix FTBFS on armhf

 -- Michel Le Bihan <michel@lebihan.pl>  Wed, 28 Apr 2021 12:15:32 +0200

chromium (90.0.4430.85-1) unstable; urgency=medium

  * New upstream security release (closes: #987358).
    - CVE-2021-21222: Heap buffer overflow in V8. Reported by Guang Gong of
      Alpha Lab, Qihoo 360
    - CVE-2021-21223: Integer overflow in Mojo. Reported by Guang Gong of Alpha
      Lab, Qihoo 360
    - CVE-2021-21224: Type Confusion in V8. Reported by Jose Martinez tr0y4
      from VerSprite Inc.
    - CVE-2021-21225: Out of bounds memory access in V8. Reported by Brendon
      Tiszka @btiszka supporting the EFF
    - CVE-2021-21226: Use after free in navigation. Reported by Brendon Tiszka
      @btiszka supporting the EFF

 -- Michel Le Bihan <michel@lebihan.pl>  Thu, 22 Apr 2021 13:01:41 +0200

chromium (90.0.4430.72-1) unstable; urgency=medium

  * New upstream security release (closes: #987053).
    - CVE-2021-21201: Use after free in permissions. Reported by Gengming Liu
      and Jianyu Chen when working at Tencent KeenLab
    - CVE-2021-21202: Use after free in extensions. Reported by David Erceg
    - CVE-2021-21203: Use after free in Blink. Reported by asnine
    - CVE-2021-21204: Use after free in Blink. Reported by Chelse Tsai-Simek,
      Jeanette Ulloa, and Emily Voigtlander of Seesaw
    - CVE-2021-21205: Insufficient policy enforcement in navigation. Reported
      by Alison Huffman, Microsoft Browser Vulnerability Research
    - CVE-2021-21221: Insufficient validation of untrusted input in Mojo.
      Reported by Guang Gong of Alpha Lab, Qihoo 360
    - CVE-2021-21207: Use after free in IndexedDB. Reported by koocola
      @alo_cook and Nan Wang @eternalsakura13 of 360 Alpha Lab
    - CVE-2021-21208: Insufficient data validation in QR scanner. Reported by
      Ahmed Elsobky @0xsobky
    - CVE-2021-21209: Inappropriate implementation in storage. Reported by Tom
      Van Goethem @tomvangoethem
    - CVE-2021-21210: Inappropriate implementation in Network. Reported by
      @bananabr
    - CVE-2021-21211: Inappropriate implementation in Navigation. Reported by
      Akash Labade m0ns7er
    - CVE-2021-21212: Incorrect security UI in Network Config UI. Reported by
      Hugo Hue and Sze Yiu Chau of the Chinese University of Hong Kong
    - CVE-2021-21213: Use after free in WebMIDI. Reported by raven
      @raid_akame
    - CVE-2021-21214: Use after free in Network API. Reported by Anonymous
    - CVE-2021-21215: Inappropriate implementation in Autofill. Reported by
      Abdulrahman Alqabandi, Microsoft Browser Vulnerability Research
    - CVE-2021-21216: Inappropriate implementation in Autofill. Reported by
      Abdulrahman Alqabandi, Microsoft Browser Vulnerability Research
    - CVE-2021-21217: Uninitialized Use in PDFium. Reported by Zhou Aiting
      @zhouat1 of Qihoo 360 Vulcan Team
    - CVE-2021-21218: Uninitialized Use in PDFium. Reported by Zhou Aiting
      @zhouat1 of Qihoo 360 Vulcan Team
    - CVE-2021-21219: Uninitialized Use in PDFium. Reported by Zhou Aiting
      @zhouat1 of Qihoo 360 Vulcan Team

 -- Michel Le Bihan <michel@lebihan.pl>  Mon, 19 Apr 2021 19:13:47 +0200

chromium (89.0.4389.114-1) unstable; urgency=medium

  * New upstream security release (closes: #986335).
    - CVE-2021-21194: Use after free in screen capture. Reported by Leecraso
      and Guang Gong
    - CVE-2021-21195: Use after free in V8. Reported by Liu and Liang
    - CVE-2021-21196: Heap buffer overflow in TabStrip. Reported by Khalil
      Zhani
    - CVE-2021-21197: Heap buffer overflow in TabStrip. Reported by Abdulrahman
      Alqabandi
    - CVE-2021-21198: Out of bounds read in IPC. Reported by Mark Brand
    - CVE-2021-21199: Use Use after free in Aura. Reported by Weipeng Jiang

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 04 Apr 2021 00:34:12 +0000

chromium (89.0.4389.90-1) unstable; urgency=medium

  * New upstream security release (closes: #985271).
    - CVE-2021-21191: Use after free in WebRTC. Reported by raven @raid_akame
    - CVE-2021-21192: Heap buffer overflow in tab groups. Reported by
      Abdulrahman Alqabandi, Microsoft Browser Vulnerability Research
    - CVE-2021-21193: Use after free in Blink. Reported by Anonymous
      (closes: #985142)
  * Fix build with libvpx 1.7.0 and libicu63 (closes: #984926).
  * Change debian/rules to not leave debian/scripts/mk-origtargz

 -- Michel Le Bihan <michel@lebihan.pl>  Mon, 15 Mar 2021 12:57:00 +0100
