=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,9 @@
 
 # enable all build hardening flags
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all
+
+# disable unsupported flag in clang 7
+export DEB_BUILD_MAINT_OPTIONS+=reproducible=-fixfilepath
 
 # indicate that binary targets do not require root
 export DEB_RULES_REQUIRES_ROOT=no
@@ -30,6 +33,9 @@
                  -Wno-deprecated-declarations \
                  -Wno-unknown-pragmas \
 
+# do not optimize away null pointer safety checks
+export CXXFLAGS+=-fno-delete-null-pointer-checks
+
 # disable clang plugins
 defines=clang_use_chrome_plugins=false
 
@@ -40,16 +46,16 @@
 # set the appropriate cpu architecture
 DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
 ifeq (i386,$(DEB_HOST_ARCH))
-defines+=host_cpu=\"x86\" symbol_level=0
+defines+=host_cpu=\"x86\" use_vaapi=true
 endif
 ifeq (amd64,$(DEB_HOST_ARCH))
-defines+=host_cpu=\"x64\"
+defines+=host_cpu=\"x64\" use_vaapi=true
 endif
 ifeq (arm64,$(DEB_HOST_ARCH))
-defines+=host_cpu=\"arm64\"
+defines+=host_cpu=\"arm64\" use_vaapi=true
 endif
 ifeq (armhf,$(DEB_HOST_ARCH))
-defines+=host_cpu=\"arm\" arm_use_neon=false symbol_level=0
+defines+=host_cpu=\"arm\" use_vaapi=false arm_use_neon=false symbol_level=0
 endif
 
 # disabled features
@@ -57,7 +63,6 @@
          use_goma=false \
          use_ozone=false \
          use_sysroot=false \
-         use_openh264=false \
          use_allocator=\"none\" \
          use_libjpeg_turbo=true \
          use_custom_libcxx=false \
@@ -72,8 +77,8 @@
          enable_iterator_debugging=false \
          enable_hangout_services_extension=false \
          optimize_webui=false \
+         angle_has_histograms=false \
          enable_js_type_check=false \
-         blink_symbol_level=0 \
          treat_warnings_as_errors=false \
 
 # enabled features
@@ -143,6 +148,9 @@
 	find . -name \*.pyc -execdir rm -f {} \;
 	dh_auto_clean
 
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym
+
 ###################### upstream source downloading ############################
 
 url=https://gsdview.appspot.com/chromium-browser-official
@@ -151,26 +159,31 @@
 tarfile=$(extract)-lite.tar
 tarball=$(tarfile).xz
 debvers=../chromium_$(version)
+seconds=$(debvers).seconds
 origtxz=$(debvers).orig.tar.xz
 removed=$(debvers).files-removed
-seconds=$(debvers).seconds
+options=--sort=name --owner=0 --group=0 --numeric-owner --mtime="@$$(stat --format "%Y" ../$(tarball))" --clamp-mtime
 
 get-orig-source:
 	wget -nv --show-progress -c $(url)/$(tarball) -O ../$(tarball)
 	cp /usr/share/perl5/Devscripts/MkOrigtargz.pm debian/scripts/mk-origtargz
 	patch -p1 < debian/scripts/mk-origtargz.patch
-	date +%s > $(seconds)
+	@date +%s > $(seconds)
 	perl debian/scripts/mk-origtargz ../$(tarball) > $(removed)
-	echo $$(($$(date +%s) - $$(cat $(seconds)))) seconds
+	@echo $$(($$(date +%s) - $$(cat $(seconds)))) seconds
+	@echo
 	test ! -e $(extract) || rm -rf $(extract)
 	tar xf ../$(tarball)
-	echo $$(($$(date +%s) - $$(cat $(seconds)))) seconds
+	@echo $$(($$(date +%s) - $$(cat $(seconds)))) seconds
+	@echo
 	while read line; do rm -rf $$line; done < $(removed)
 	cd $(extract) && ../debian/scripts/check-upstream
-	echo $$(($$(date +%s) - $$(cat $(seconds)))) seconds
+	@echo $$(($$(date +%s) - $$(cat $(seconds)))) seconds
+	@echo
 	test ! -e $(origtxz) || rm -f $(origtxz)
-	tar cf - $(extract) | xz -6 -T $(njobs) - > $(origtxz)
-	echo $$(($$(date +%s) - $$(cat $(seconds)))) seconds
+	tar $(options) -cf - $(extract) | xz -6 -T $(njobs) - > $(origtxz)
+	@echo $$(($$(date +%s) - $$(cat $(seconds)))) seconds
+	@echo
 	rm -rf $(extract)
-	echo $$(($$(date +%s) - $$(cat $(seconds)))) seconds | tee seconds
+	@echo $$(($$(date +%s) - $$(cat $(seconds)))) seconds | tee seconds
 	@mv -f seconds $(seconds)
